// Définition de la broche de la LED
const int ledPin = D10;

void setup() {
  // Initialisation de la broche de la LED en tant que sortie
  pinMode(ledPin, OUTPUT);
}

void loop() {
  // Faire clignoter la LED avec différents délais
  blinkLED(10); // Délai de 500 ms
  blinkLED(50); // Délai de 1000 ms
}

// Fonction pour faire clignoter la LED avec un délai spécifié
void blinkLED(int delayTime) {
  digitalWrite(ledPin, HIGH); // Allumer la LED
  delay(delayTime); // Attendre le délai spécifié
  digitalWrite(ledPin, LOW); // Éteindre la LED
  delay(delayTime); // Attendre le délai spécifié
}
